一个关于CentOS中,依赖包的问题(MySql相关)

axblunt 发布于 2012/02/14 15:11
阅读 4K+
收藏 0
一台装有CentOS服务器如下:

[root@user ~]# lsb_release -a
LSB Version:    :core-4.0-amd64:core-4.0-ia32:core-4.0-noarch:graphics-4.0-amd64:graphics-4.0-ia32:graphics-4.0-noarch:printing-4.0-amd64:printing-4.0-ia32:printing-4.0-noarch
Distributor ID: CentOS
Description:    CentOS release 5.6 (Final)
Release:        5.6
Codename:       Final

装机时安装了MySQL-server-5.5.16-1.rhel5.x86_64.rpm 如下:

[root@user ~]#  rpm -qa | grep -i mysql
MySQL-server-5.5.16-1.rhel5
MySQL-client-5.5.16-1.rhel5
MySQL-devel-5.5.16-1.rhel5

后来,发现装许多别的软件(比如postfix dovecot)时,会依赖一个mysql-libs的东西,例如:

……
Installing for dependencies:

 mysql-libs         x86_64         5.0.92-1.el5           CentALT         1.8 M
……

但这玩意又总是装不上,提示有一大堆冲突:

file /etc/my.cnf from install of mysql-libs-5.0.92-1.el5.x86_64 conflicts with file from package MySQL-server-5.5.16-1.rhel5.x86_64
  file /usr/share/mysql/charsets/Index.xml from install of mysql-libs-5.0.92-1.el5.x86_64 conflicts with file from package MySQL-server-5.5.16-1.rhel5.x86_64
  file /usr/share/mysql/charsets/cp1250.xml from install of mysql-libs-5.0.92-1.el5.x86_64 conflicts with file from package MySQL-server-5.5.16-1.rhel5.x86_64
……

但现在这服务器上的MySql又不能删……请问我该怎么处理这个问题?
多谢!

加载中
0
k
kdb9813
mysql-libs-5.0.92-1.el5.x86_64MySQL-server-5.5.16-1.rhel5.x86_64有冲突,直接安装MySQL-shared-compat-5.5.16-1.rhel5.x86_64.rpm和MySQL-shared-compat-5.5.16-1.rhel5.x86_64.rpm这两个包即可。下载地址:http://downloads.mysql.com/archives/community/,按版本选择即可。目前最新版本为:5.6.14
a
axblunt
我试试看~谢谢!
返回顶部
顶部